YYSTYPE Union Reference

## Data Fields

char * | name
float | weight
jsgf_rule_t * | rule
jsgf_rhs_t * | rhs
jsgf_atom_t * | atom

## Detailed Description

Definition at line 66 of file jsgf_parser.h.

## Field Documentation

## atom

jsgf_atom_t* YYSTYPE::atom

Definition at line 76 of file jsgf_parser.h.

## name

char* YYSTYPE::name

Definition at line 72 of file jsgf_parser.h.

## rhs

jsgf_rhs_t* YYSTYPE::rhs

Definition at line 75 of file jsgf_parser.h.

## rule

jsgf_rule_t* YYSTYPE::rule

Definition at line 74 of file jsgf_parser.h.

## weight

float YYSTYPE::weight

Definition at line 73 of file jsgf_parser.h.

The documentation for this union was generated from the following file:

- src/libsphinxbase/lm/jsgf_parser.h